############################################################
#
# type definition pro_software_component_lcgbdii
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 1.0.3
#
# Translation of lcg-lcfg-lcgbdii by Laurence Field.
#
############################################################

template pro_software_component_lcgbdii;

include pro_declaration_component_lcgbdii;

# Package to install
"/software/packages"=pkg_repl("ncm-lcgbdii","1.0.3-1","noarch");
 
"/software/components/lcgbdii/dependencies/pre" = default(list("spma"));
"/software/components/lcgbdii/active"= default(true);
"/software/components/lcgbdii/dispatch"= default(true);

"/software/components/lcgbdii/configFile" = 
  default("/opt/lcg/var/bdii/lcg-bdii.conf");
"/software/components/lcgbdii/updateFile" = 
  default("/opt/lcg/var/bdii/lcg-bdii-update.conf");

"/software/components/lcgbdii/portread" = 
  default(2170);
"/software/components/lcgbdii/portwrite" = 
  default(2171);
"/software/components/lcgbdii/user" = 
  default("lcgbdii");
"/software/components/lcgbdii/bind" = 
  default("mds-vo-name=local,o=grid");
"/software/components/lcgbdii/filter" = 
  default("'*'");
"/software/components/lcgbdii/timeout" = 
  default(30);
"/software/components/lcgbdii/auto" = 
  default("no");
"/software/components/lcgbdii/temp" = 
  default("/opt/lcg/var/bdii/tmp");
"/software/components/lcgbdii/file" = 
  default("/opt/lcg/var/bdii/lcg-bdii-update.conf");

"/software/components/lcgbdii/slapd" = 
  default("/usr/sbin/slapd");
"/software/components/lcgbdii/slapadd" = 
  default("/usr/sbin/slapadd");
"/software/components/lcgbdii/ldapread" = 
  default("/opt/lcg/etc/lcg-bdii-read-slapd.conf");
"/software/components/lcgbdii/ldapwrite" = 
  default("/opt/lcg/etc/lcg-bdii-write-slapd.conf");
"/software/components/lcgbdii/databaseread" = 
  default("/opt/lcg/var/bdii/LDAP-read");
"/software/components/lcgbdii/databasewrite" = 
  default("/opt/lcg/var/bdii/LDAP-write");
"/software/components/lcgbdii/pidread" = 
  default("/opt/lcg/var/bdii/slapd-read.pid");
"/software/components/lcgbdii/pidwrite" = 
  default("/opt/lcg/var/bdii/slapd-write.pid");

